local cData = LibStub("AceAddon-3.0"):GetAddon("cData")

------------------------------------------------------------------------
--	 Coordinates Plugin Functions
------------------------------------------------------------------------
cData.pluginConstructors["coords"] = function()

	db = cData.db.profile

	local plugin = CreateFrame('Frame', nil, Datapanel)
	plugin:EnableMouse(true)
	plugin:SetFrameStrata('BACKGROUND')
	plugin:SetFrameLevel(3)

	local Text = plugin:CreateFontString(nil, "OVERLAY")
	Text:SetFont(db.font, db.fontSize,'THINOUTLINE')
	cData:PlacePlugin(db.coords, Text)

	plugin:SetScript("OnUpdate", function(self, elapsed)
	
		local px, py = GetPlayerMapPosition("player")
		if (px ~= 0 and py ~= 0) then
 			Text:SetText(hexa.."Loc: "..hexb..format('%.0f x %.0f', px * 100, py * 100))
		else
			Text:SetText(hexa..'Loc:'..hexb.." Instance")
		end
	end)
	Update(plugin, 10)
	
	return plugin -- important!
end